<?php

//encryption
class Encryptionpassword{
 
    var $keys='dec-gyanvihar2013enkeyhj';
    /*Encode*/
    public  function safe_b64encode($string)
	 {
        $data = base64_encode($string);
        $data = str_replace(array('+','/','='),array('-','_',''),$data);
        return $data;
    }
    public  function encode($value)
	{    
	      if(!$value){return false;}
          $text = $value;
          $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
          $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
          $crypttext = mcrypt_encrypt(MCRYPT_RIJNDAEL_256, $this->keys, $text, MCRYPT_MODE_ECB, $iv);
          return trim($this->safe_b64encode($crypttext));
		   
    }

    /* Decode*/
   public function safe_b64decode($string) {
      $data = str_replace(array('-','_'),array('+','/'),$string);
      $mod4 = strlen($data) % 4;
        if ($mod4) {
            $data .= substr('====', $mod4);
        }
        return base64_decode($data);
    }

    public function decode($value){
        if(!$value){return false;}
		
        $crypttext = $this->safe_b64decode($value); 
        $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
        $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
        $decrypttext = mcrypt_decrypt(MCRYPT_RIJNDAEL_256, $this->keys, $crypttext, MCRYPT_MODE_ECB, $iv);
        return trim($decrypttext);
    }
}
	
$sing=array('%20',' ','&','~',',');
$replace_value="-";	
$ip=$_SERVER['REMOTE_ADDR'];
date_default_timezone_set('Asia/kolkata');


?>